### A free/open-source library for quantitative finance

Classes
ql/experimental/convertiblebonds/convertiblebond.hpp File Reference

convertible bond class More...

`#include <ql/instruments/bond.hpp>`
`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/dividendschedule.hpp>`
`#include <ql/instruments/callabilityschedule.hpp>`
`#include <ql/time/schedule.hpp>`
`#include <ql/time/daycounter.hpp>`
`#include <ql/quote.hpp>`
Include dependency graph for convertiblebond.hpp:

## Classes

class | SoftCallability
| callability leaving to the holder the possibility to convert More...
class | ConvertibleBond
| base class for convertible bonds More...
class | ConvertibleZeroCouponBond
| convertible zero-coupon bond More...
class | ConvertibleFixedCouponBond
| convertible fixed-coupon bond More...
class | ConvertibleFloatingRateBond
| convertible floating-rate bond More...

## Detailed Description

convertible bond class